package cn.com.qmth.examcloud.core.questions.dao.entity.dto;

import cn.com.qmth.examcloud.core.questions.dao.entity.Property;

public class PropertyConvert {

    public static PropertyDto of(Property entity) {
        PropertyDto dto = new PropertyDto();
        dto.setOrgId(entity.getOrgId());
        dto.setCoursePropertyId(entity.getCoursePropertyId());
        dto.setParentId(entity.getParentId());
        dto.setId(entity.getId());
        dto.setName(entity.getName());
        dto.setCode(entity.getCode()); 
        dto.setNumber(entity.getNumber());
        dto.setRemark(entity.getRemark());
        return dto;
    }

    public static Property of(PropertyDto dto) {
        Property entity = new Property();
        entity.setOrgId(dto.getOrgId());
        entity.setCoursePropertyId(dto.getCoursePropertyId());
        entity.setId(dto.getId());
        entity.setParentId(dto.getParentId());
        entity.setName(dto.getName());
        entity.setNumber(dto.getNumber());
        entity.setRemark(dto.getRemark());
        entity.setCode(dto.getCode());
        return entity;
    }

}